# Binary Rain Helper Toolkit: AWS Cloud

`binaryrain_helper_cloud_aws` is a python package that aims to simplify and help with common functions in AWS Cloud areas. It builds on top of the `boto3` and `aws-lambda-powertools` libraries and provides additional functionality to make working with AWS Cloud easier, reduces boilerplate code and provides clear error messages.

For further details, please refer to the [Binary Rain Helper Toolkit documentation](https://binaryrain-net.github.io/Binary-Rain-Helper-Toolkit/toolkits/aws/).

## Benefits

- Consistent error handling with clear messages
- Input validation for all function parameters
- Simplified authentication and access to AWS services
- Secure handling of secrets and sensitive information
- Type hints for better IDE support
